Subject: Wrong /home
From: David Starks-Browning <[email-masked]>
To: "Arthur Schwarz" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 26 Sep 2001 10:37:37 +0100

On Tuesday 25 Sep 01, Arthur Schwarz writes:
> After uninstall of B20.1 and installation of v1.3.3 my 'old' home directory
> (/cygdrive/c/home2/<name>) became my home rather than my 'new' one
> (/home/<name>). I've looked through the FAQ and the User's Guide, and looked
> through the source (bash-2.05-7/shell.c). I've changed my /etc/passwd to
> ensure that it is accessed by getpwuid in shell.c, and modified all of the
> 'cygnus solutions' entries in the Win98 registry to reference /home/<name>
> as needed. In /etc/profile $HOME is used and I haven't found where $HOME is
> exported. The easy workaround is to put a .bashrc file changing $HOME in the
> 'old' home and just forget it. But I'd like to find out why this is
> happening and fix it (if it needs fixing) or do something to cause the 'new'
> home to be referenced at shell startup. Any idea what is going on?

If this is Win98, did you look at autoexec.bat?

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/